
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何用VB.Net创建一个三层的数据库应用程序(转贴 / iVAN</title>

    <meta name="description" content="如何用VB.Net创建一个三层的数据库应用程序(转贴 程序|创建|数据|数据库 1. 概论: 本文将介绍如何创建一个三层应用程序,并且将介绍如何创建一个Web Service服务. ADO.NET创建Windows三层结构应用程序的体系架构如下图所示: 该结构分三个层次:表示层.业务层.数据层. 数据层:代表物理数据库. 业务层:负责数据层与表示层之间的数据传输. 表示层:应用程序的客户端,它通过业务层来访问数据库. 表示层所操作的是驻留在内存中的本地数据,当需要更新数据库数据时,要通过业务层提供的更新方法实现.这样可以大大提高应用程序的性能,而且">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何用VB.Net创建一个三层的数据库应用程序(转贴</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>程序|创建|数据|数据库</p>
<p>1. 概论：</p>
<p>本文将介绍如何创建一个三层应用程序，并且将介绍如何创建一个Web Service服务。</p>
<p>ADO.NET创建Windows三层结构应用程序的体系架构如下图所示：</p>
<p>该结构分三个层次：表示层、业务层、数据层。</p>
<p>数据层：代表物理数据库。</p>
<p>业务层：负责数据层与表示层之间的数据传输。</p>
<p>表示层：应用程序的客户端，它通过业务层来访问数据库。</p>
<p>表示层所操作的是驻留在内存中的本地数据，当需要更新数据库数据时，要通过业务层提供的更新方法实现。这样可以大大提高应用程序的性能，而且，什么时候更新数据完全由你决定，提高了编程的灵活性。</p>
<p>2.实例:</p>
<p>这里我们具体做一个实例来看看如何用VB.NET创建三层结构的应用程序。</p>
<p>数据库：我们选择SQL SERVER 的NorthWind数据库。</p>
<p>业务层：我们创建一个WebService作为中间层。（需要安装IIS服务）</p>
<p>表示层：我们写一个Windows Form</p>
<p>第一步：创建WebService。</p>
<p>具体步骤如下：</p>
<p>1. 新建一个项目，选择ASP.NET Web服务，命名为：”WebService For 业务层”。</p>
<p>2. 添加两个Sql DataAdapter，一个为Customer_da,它指向NorthWind数据库的Customers表，另一个为Order_da,指向Northwind数据库的Orders表。</p>
<p>3. 然后生成一个Typed DataSet（选择“数据”菜单的“生成数据集”），命名为：Super_ds.</p>
<p>4. 数据库连接已经完成，下一步我们将考虑它与表示层之间的通信，这里我们定义两个方法。一个为：Get_DataSet,它返回一个Super_ds类型的数据集，另一个为：Update_DataSet，它负责更新数据库数据， 方法代码如下：</p>
<p>&lt;WebMethod()&gt; Public Function Get_Dataset() As super_ds</p>
<p>customer_da.Fill(Super_ds1.Customers)</p>
<p>order_da.Fill(Super_ds1.Orders)</p>
<p>Return Super_ds1</p>
<p>End Function</p>
<p>&lt;WebMethod()&gt; Public Sub Update_Dataset()</p>
<p>Super_ds1.AcceptChanges()</p>
<p>End Sub</p>
<p>你可以运行测试一下你建立的这个WebService。它将提供两个方法。返回的DataSet是以XML表示的。</p>
<p>业务层的完整代码如下：</p>
<p>Imports System.Web.Services</p>
<p>Public Class Service1</p>
<p>Inherits System.Web.Services.WebService</p>
<p>‘Web Services Designer Generated Code…….</p>
<p>&lt;WebMethod()&gt; Public Function Get_Dataset() As super_ds</p>
<p>customer_da.Fill(Super_ds1.Customers)</p>
<p>order_da.Fill(Super_ds1.Orders)</p>
<p>Return Super_ds1</p>
<p>End Function</p>
<p>&lt;WebMethod()&gt; Public Sub Update_Dataset()</p>
<p>Super_ds1.AcceptChanges()</p>
<p>End Sub</p>
<p>' WEB SERVICE EXAMPLE</p>
<p>' The HelloWorld() example service returns the string Hello World.</p>
<p>' To build, uncomment the following lines then save and build the project.</p>
<p>' To test this web service, ensure that the .asmx file is the start page</p>
<p>' and press F5.</p>
<p>'</p>
<p>'&lt;WebMethod()&gt; Public Function HelloWorld() As String</p>
<p>' HelloWorld = "Hello World"</p>
<p>' End Function</p>
<p>End Class</p>
<p>第二步：创建表示层</p>
<p>具体步骤如下：</p>
<p>1. 新建一个Windows应用程序，命名为：“Windows Form For 表示层”。</p>
<p>2. 在窗体上添加一个DataGrid,一个Button,Button1的text为“Load”,作用是：从业务层读取数据。</p>
<p>3. 在解决方案窗体中添加Web 引用，将我们自己建立的Web Service for 业务层引入到当前项目中。</p>
<p>4. 向Button1的Click事件添加如下代码：</p>
<p>Dim Customer_Ds As New localhost.super_ds()</p>
<p>Dim ser1 As New localhost.Service1()</p>
<p>Customer_Ds.Merge(ser1.Get_Dataset)</p>
<p>DataGrid1.DataSource = Customer_Ds</p>
<p>这里我们调用了Web Service的Get_DataSet函数，Update_DataSet方法的调用与此完全相同。</p>
<p>表示层的完整代码如下：</p>
<p>Imports Data_Access_表示层</p>
<p>Public Class Form1</p>
<p>Inherits System.Windows.Forms.Form</p>
<p>#Region " Windows Form Designer generated code "</p>
<p>Public Sub New()</p>
<p>MyBase.New()</p>
<p>'This call is required by the Windows Form Designer.</p>
<p>InitializeComponent()</p>
<p>'Add any initialization after the InitializeComponent() call</p>
<p>End Sub</p>
<p>'Form overrides dispose to clean up the component list.</p>
<p>Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)</p>
<p>If disposing Then</p>
<p>If Not (components Is Nothing) Then</p>
<p>components.Dispose()</p>
<p>End If</p>
<p>End If</p>
<p>MyBase.Dispose(disposing)</p>
<p>End Sub</p>
<p>Friend WithEvents Button1 As System.Windows.Forms.Button</p>
<p>Friend WithEvents Button2 As System.Windows.Forms.Button</p>
<p>Friend WithEvents Button3 As System.Windows.Forms.Button</p>
<p>Friend WithEvents Client_DataSet As Data_Access_表示层.localhost.super_ds</p>
<p>Friend WithEvents DataGrid1 As System.Windows.Forms.DataGrid</p>
<p>'Required by the Windows Form Designer</p>
<p>Private components As System.ComponentModel.Container</p>
<p>'NOTE: The following procedure is required by the Windows Form Designer</p>
<p>'It can be modified using the Windows Form Designer.</p>
<p>'Do not modify it using the code editor.</p>
<p>&lt;System.Diagnostics.DebuggerStepThrough()&gt; Private Sub InitializeComponent()</p>
<p>Me.Button1 = New System.Windows.Forms.Button()</p>
<p>Me.Button2 = New System.Windows.Forms.Button()</p>
<p>Me.Button3 = New System.Windows.Forms.Button()</p>
<p>Me.Client_DataSet = New Data_Access_表示层.localhost.super_ds()</p>
<p>Me.DataGrid1 = New System.Windows.Forms.DataGrid()</p>
<p>CType(Me.Client_DataSet, System.ComponentModel.ISupportInitialize).BeginInit()</p>
<p>CType(Me.DataGrid1, System.ComponentModel.ISupportInitialize).BeginInit()</p>
<p>Me.SuspendLayout()</p>
<p>'</p>
<p>'Button1</p>
<p>'</p>
<p>Me.Button1.Location = New System.Drawing.Point(88, 360)</p>
<p>Me.Button1.Name = "Button1"</p>
<p>Me.Button1.TabIndex = 0</p>
<p>Me.Button1.Text = "load"</p>
<p>'</p>
<p>'Button2</p>
<p>'</p>
<p>Me.Button2.Location = New System.Drawing.Point(232, 360)</p>
<p>Me.Button2.Name = "Button2"</p>
<p>Me.Button2.TabIndex = 1</p>
<p>Me.Button2.Text = "update"</p>
<p>'</p>
<p>'Button3</p>
<p>'</p>
<p>Me.Button3.Location = New System.Drawing.Point(376, 360)</p>
<p>Me.Button3.Name = "Button3"</p>
<p>Me.Button3.TabIndex = 2</p>
<p>Me.Button3.Text = "clear"</p>
<p>'</p>
<p>'Client_DataSet</p>
<p>'</p>
<p>Me.Client_DataSet.DataSetName = "Client_DataSet"</p>
<p>Me.Client_DataSet.Locale = New System.Globalization.CultureInfo("zh-CN")</p>
<p>Me.Client_DataSet.Namespace = "http://www.tempuri.org/CustomerDs.xsd"</p>
<p>'</p>
<p>'DataGrid1</p>
<p>'</p>
<p>Me.DataGrid1.DataMember = ""</p>
<p>Me.DataGrid1.Location = New System.Drawing.Point(40, 56)</p>
<p>Me.DataGrid1.Name = "DataGrid1"</p>
<p>Me.DataGrid1.Size = New System.Drawing.Size(480, 264)</p>
<p>Me.DataGrid1.TabIndex = 3</p>
<p>'</p>
<p>'Form1</p>
<p>'</p>
<p>Me.AutoScaleBaseSize = New System.Drawing.Size(6, 14)</p>
<p>Me.ClientSize = New System.Drawing.Size(568, 429)</p>
<p>Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.DataGrid1, Me.Button3, Me.Button2, Me.Button1})</p>
<p>Me.Name = "Form1"</p>
<p>Me.Text = "Form1"</p>
<p>CType(Me.Client_DataSet, System.ComponentModel.ISupportInitialize).EndInit()</p>
<p>CType(Me.DataGrid1, System.ComponentModel.ISupportInitialize).EndInit()</p>
<p>Me.ResumeLayout(False)</p>
<p>End Sub</p>
<p>#End Region</p>
<p>Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click</p>
<p>Dim Customer_Ds As New localhost.super_ds()</p>
<p>Dim ser1 As New localhost.Service1()</p>
<p>Customer_Ds.Merge(ser1.Get_Dataset)</p>
<p>DataGrid1.DataSource = Customer_Ds</p>
<p>End Sub</p>
<p>End Class</p>
<p>总结：可见，表示层窗体上完全没有数据库连接控件，它与数据库的连接任务是通过业务层来完成的，这样，程序的结构更加清晰，当然业务层的实现也可以用其他方法，比如：写一个自己的类来完成与数据库的数据传输</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 08:00:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/button/" title="button">button</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/datagrid/" title="datagrid">datagrid</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何用VB.Net创建一个三层的数据库应用程序(转贴的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEk8Ap.html" rel="bookmark">如何用VB&period;Net创建一个三层的数据库应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|创建|数据|数据库 1. 概论: 本文将介绍如何创建一个三层应用程序,并且将介绍如何创建一个Web Service服务. ADO.NET创建Windows三层结构应用程序的体系架构如下图所示: 该结构分三个层次:表示层.业务层.数据层. 数据层:代表物理数据库. 业务层:负责数据层与表示层之间的数据传输. 表示层:应用程序的客户端,它通过业务层来访问数据库. 表示层所操作的是驻留在内存中的本地数据,当需要更新数据库数据时,要通过业务层提供的更新方法实现.这样可以大大提高应用程序的性能,而且			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4ElJb.html" rel="bookmark">如何使用C&num;创建一个三层的数据库应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|创建|数据|数据库 如何使用C#创建一个三层的数据库应用程序1．分析在我们这个程序中采用如下的层次:Web层,业务实体层,数据层.其中:业务实体层负责Web层与数据层之间的数据交换.数据层仅仅代表数据库.Web层通过业务实体层来访问数据库.我们的中间的业务实体层采用WebService.2．实例我们通过一个实例来学习三层架构.(1) 以sql2000为例建立TestUser数据库.表的sql脚本(在查询分析器中执行即可):/****** Object: Table [dbo].[Custo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kZRVM.html" rel="bookmark">c&plus;&plus;-如何用C&plus;&plus;&lpar;MFC&rpar;创建一个dll   在别的环境下来实现对excel读写的调用？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何用C++(MFC)创建一个dll 在别的环境下来实现对excel读写的调用? http://www.cnblogs.com/xianyunhe/archive/2011/09/25/2190485.html 现在已经使用上述链接的方法实现了对excel文件数据的读写操作,我要怎样将这个程序设置成为 调用excel库 的程序 目的是想在别的环境下调用这个lib(dll)来实现对excel文件的读写 菜鸟一枚,可能问的方式有些问题,还请给予解惑 解决方案 一样的,代码放在dll中就可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6Vrwz.html" rel="bookmark">如何用 React Native 创建一个iOS APP？（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们书接上文&lt;如何用 React Native 创建一个iOS APP?&gt;,继续来讲如何用 React Native 创建一个iOS APP.接下来,我们会涉及到很多控件. 1 AppRegistry.registerComponent( 上述是定义应用程序的入口点.这也是 JavaScript 代码开始执行的地方.  这是一个本地用户界面反应的基本结构.我们定义的每个视图将遵循相同的基本结构. 在本教程中,我们将创建一个既可以浏览书籍又能知道书籍介绍比如作者.标题或关于书籍的简介.你还可以通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7qvJp.html" rel="bookmark">c语言-如何用C语言创建一个按钮，按下这个按钮后，相当于从键盘录入相应的字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何用C语言创建一个按钮,按下这个按钮后,相当于从键盘录入相应的字符串 问题的来源是这样的,我用c编了一个计算器的程序,但是其输入只能在黑框里通过键盘输,我想把它做成一个能用鼠标点的按键式的,所以,我想的是设置几个键,通过鼠标点了之后,就相当于从键盘录入了相应的字符串,也就能通过我编的C程序计算出结果,并显示出来了.如果可行的话,求大神帮我编一个简单的示例程序(比如就一个键,按下后相当于从键盘录入某个字符后字符串),如果不可行的话,能不能给我一个可行的建议啊 解决方案 控制台程序吗?要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Ym7RM.html" rel="bookmark">《精通 ASP&period;NET MVC 5》----2&period;4 创建一个简单的数据录入应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 创建一个简单的数据录入应用程序 本章的其余部分将通过建立一个简单的数据录入应用程序来考查MVC的更多基本特性.本小节打算分步进行,目的是演示MVC的运用,因此会跳过对幕后工作原理的一些解释.但不必担心,在后面的章节中会重新深入地讨论这些论题. 2.4.1 设置场景 假设一个朋友决定举行一个&quot;新年除夕晚会&quot;,于是她请笔者为其创建一个Web应用程序,以便让受邀人进行电子回复(RSVP).她的要求有以下4个关键特性. 一个显示此晚会信息的首页. 一个可以用来进行电子回复(RSVP)的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdR2DNb.html" rel="bookmark">《精通 ASP&period;NET MVC 4》----2&period;4  创建一个简单的数据录入应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 创建一个简单的数据录入应用程序 精通 ASP.NET MVC 4 本章的其余部分将通过建立一个简单的数据录入应用程序,来考察MVC的更多基本特性.本节将分步进行,目的是演示MVC的运转,因此会跳过对幕后工作原理的一些解释.不用担心--在后面的章节中还会重新深入地讨论这些论题. 2.4.1 设置场景 设想一个朋友要主办一个&quot;新年除夕晚会&quot;,需要创建一个Web网站,以便让被邀请人进行RSVP(电子回复).这个网站需要以下四个关键特性: 一个显示此晚会信息的主页: 一个可以用来进行R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6EnEz.html" rel="bookmark">创建一个Java应用数据库的桌面应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本教程将展示如何创建一个 Java 的桌面应用程序,用来访问以及更新数据库.本教程利用 NetBeans IDE 6.0 支持的以下技术: Java 持久化 API (JPA),帮助你使用Java 代码来与数据库接合 Beans 绑定技术 (JSR 295) ,为不同的JavaBeans 控件提供一种方式来相互同步属性值.举一个例子, 你可以使用 Beans 绑定技术来保持 JTable 可视化控件中各单元的值与实体类中各域的值同步.(在这里,实体类表示数据表) Swing 应用程序框架 (JS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJ3gdp.html" rel="bookmark">c语言-如何用C语言写一个暴力破解SSH的程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何用C语言写一个暴力破解SSH的程序 也就是用同文件夹里的一个字典,可以用fopen和fgets把密码一条一条打开,可是我不知道怎么在C语言里对一个其他地址进行SSH 求大神解答 解决方案 C语言没有 SSH 的功能,所以需要你去自己搞 SSH 算法. 解决方案二: 参考openssh,这个是开源的,可以用它来调用,连接http://www.openssh.com/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdLXpj.html" rel="bookmark" class="title">win7系统下无法访问xp系统的共享怎么办&quest;</a>
					<div>
						  win7系统下无法访问xp系统的共享怎么办?: 1.双击打开&quot;网上邻居&quot;,然后单击左侧的&quot;设置家庭或小型办公网络&quot;: 2.单击两次&quot;下一步&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeeOzj.html" rel="bookmark" class="title">双11享Go了吗？2017阿里双11在线峰会续写科技盛宴！</a>
					<div>
						技术成就辉煌,今年的双11毫无悬念地再次刷新了全球记录--11秒交易额破亿,28秒破10亿,3分01秒破百亿,40分12秒破500亿,9小时破1000亿--最终的交易额稳稳定格在了1682亿,不仅创造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M622rOM.html" rel="bookmark" class="title">使用Silverlight构建工作流即服务平台</a>
					<div>
						几周前新的工作流即服务(Workflow-as-a-Service)平台SnapFlow发布了beta版.该平台构建在微软 系列产品上,其工程副经理Gopinath Dhanakodi说到: 去年在开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRWPaz.html" rel="bookmark" class="title">java的finalize&lpar;&rpar;方法</a>
					<div>
						此时,大家可能已相信了自己应该将finalize()作为一种常规用途的清除方法使用.它有什么好处呢? 要记住的第三个重点是: 垃圾收集只跟内存有关! 也就是说,垃圾收集器存在的唯一原因是为了回收程序不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7kqZM.html" rel="bookmark" class="title">360浏览器猜你喜欢怎么删除？</a>
					<div>
						  使用360浏览器的用户都会发现一个问题,在浏览一些网站内容的时候,再浏览器下方总会出现一个猜你喜欢的到航条,很多用户对于该导航条非常的方案,却又不知道应该如何删除,故此小编为大家提供了该导航条的删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AP4Dp.html" rel="bookmark" class="title">网管型的交换机端口汇聚功能有哪些</a>
					<div>
						  如果交换机上没有端口汇聚.你两台计算机用两根网线连接起来.就成环了,对交换机和连接的电脑都有影响.所以,端口汇聚功能对于网吧交换机而言,至关重要. 简要介绍一下管理型交换机端口汇聚功能的相关信息. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYZ3WM.html" rel="bookmark" class="title">win7电脑播放迅雷看看时出现绿屏怎么办？</a>
					<div>
						  迅雷是一个下载源,而且是一个资源十分丰富的下载源,当然,这也就吸引了很多用户前去下载东西,特别是有了迅雷影音之后,来关顾的人也就越来越多了,不过最近有朋友提出,说是迅雷看看在播放视频的时候很容易出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJDl6p.html" rel="bookmark" class="title">如何解决电脑中TGP能登录但网页无法显示加载失败的问题</a>
					<div>
						  1.打开Internet选项,切换到&quot;连接&quot;选项卡,点击中间的&quot;设置&quot;按钮(&quot;删除&quot;按钮下方),如果勾选了&quot;自动检测设置&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYrj0b.html" rel="bookmark" class="title">如何在Android中实现左右滑动的指引效果&lowbar;Android</a>
					<div>
						本文的目的是要实现左右滑动的指引效果.那么什么是指引效果呢?现在的应用为了有更好的用户体验,一般会在应用开始显示一些指引帮助页面,使用户能更好的理解应用的功能,甚至是一些新闻阅读器会把一些头条新闻以指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32o13z.html" rel="bookmark" class="title">python中的pickle模块储存数据，和print储存有什么区别吗？</a>
					<div>
						问题描述 python中的pickle模块储存数据,和print储存有什么区别吗? python中的pickle模块储存数据,和print储存有什么区别吗? pickle.dump和print(obj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3KDZz.html" rel="bookmark" class="title">坚果胡震宇：以投影技术打造家庭影院，塑造新生活</a>
					<div>
						走进中国电影导演中心,一头金发身着白裙的模特正模仿着玛丽莲·梦露的经典姿态. 会场大屏幕滚动播放着经典电影的片段. 参会的人每人手里还拿着一本程青松主编的&lt;青春电影手册&gt;. 恍然以为走进了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPvdqp.html" rel="bookmark" class="title">dfs-HUD 1010老超时求高手帮忙</a>
					<div>
						问题描述 HUD 1010老超时求高手帮忙 import java.util.Scanner; public class Num2 { static int t,y2,x2,v; static cha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4YDAz.html" rel="bookmark" class="title">OpenStack Core再添新员：九州云99Cloud朱荣</a>
					<div>
						ZD至顶网服务器频道 06月24日 新闻消息:驻足OpenStack核心!2016年6月,九州云99Cloud朱荣获得Murano项目Core.继九州云99Cloud在Senlin和Kolla项目获C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7590M.html" rel="bookmark" class="title">rubygems-急&period;&period;win8系统部署rails--mongrel&plus;apache2</a>
					<div>
						问题描述 急..win8系统部署rails--mongrel+apache2 搭建个redmine,想弄个Mongrel+Apache部署.gem install mongrel gem instal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBO51b.html" rel="bookmark" class="title">nginx参数优化杂记</a>
					<div>
						1.隐藏nginx软件版本号信息 暴露了软件版本号,恶意用户可能根据版本漏洞进行攻击,隐藏版本号可以加强Web服务的安全性. vim /usr/local/nginx/nginx.conf http  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAnrZM.html" rel="bookmark" class="title">jquery实现iframe自适应高度代码</a>
					<div>
						iframe框架高度自适应功能在以前我们都是利用js来实现,现在有了jquery控制可以快速实现,下面来看实现有需要的朋友可以看看. &lt;!doctype html public &quot;-/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgje5b.html" rel="bookmark" class="title">索尼公司PS3游戏机在美国上市</a>
					<div>
						由于排队玩家太多,索尼供货又严重不足(全美只有四十万台),各卖场前的长队中都出现了不同程度的混乱甚至暴力情况. 在康涅狄格州的普特纳穆,一群排队购买PS3的消费者遭到抢劫.两个持枪男子逼迫排队者交出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBvXwM.html" rel="bookmark" class="title">quartz-web 项目 tomcat 自动关闭</a>
					<div>
						问题描述 web 项目 tomcat 自动关闭 2015 12 22 08:44:52 INFO [DataHibernateDao] ****************** 2015 12 22 08 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodYDEM.html" rel="bookmark" class="title">TensorFlow教程之进阶指南 3&period;2 变量&colon;创建、初始化、保存和加载</a>
					<div>
						本文档为TensorFlow参考文档,本转载已得到TensorFlow中文社区授权. 当训练模型时,用变量来存储和更新参数.变量包含张量 (Tensor)存放于内存的缓存区.建模时它们需要被明确地初始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ne6jz.html" rel="bookmark" class="title">三团合并也没有止住高朋网的下行趋势</a>
					<div>
						&quot;三团合并&quot;也没有止住高朋网的下行趋势.昨日,拥有Groupon和腾讯双重贵族血液的高朋网传出成都分站强制裁员.伪造业绩的消息,高朋网CEO林宁解释,裁员是个别员工与成都分站HR总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKdKjM.html" rel="bookmark" class="title">PHP 中的类&lowbar;php基础</a>
					<div>
						PHP 中的类 在阐述类的概念之前我们来先说说面向对象编程的概念:面向对象的程序设计(Object-Oriented Programming,简记为OOP)立意于创建软件重用代码,具备更好地模拟现实世 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2dnWM.html" rel="bookmark" class="title">Java函数式编程&lpar;三&rpar;：列表的转化&lowbar;java</a>
					<div>
						列表的转化 将集合转化成一个新的集合就和遍历它一样简单.假设我们要将列表中的名字转化成全大写的.我们看下都有哪些实现方式. Java中的字符串是不可变的,所以它没法改变.我们可以生成新的字符串,用来替 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N6BDz.html" rel="bookmark" class="title">JavaWeb开发中alias拦截器的使用方法&lowbar;java</a>
					<div>
						在SSH项目中,有时需要由一个Action跳转到另一个Action.有两种方式可以实现Action之间的跳转,一种是chain,另一种是redirectAction,这两种方式之间的区别是chain是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2eE4z.html" rel="bookmark" class="title">Win8怎么删除用户帐户密码&quest;&lpar;740U3E系列&rpar;</a>
					<div>
						1. 按键盘的[WIN]+[C]组合键运行超级按钮.    2. 在超级按钮中,选择[设置].   3. 点击[更改电脑设置].   4. 在&quot;电脑设置&quot;中,选择[用户].   5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEjVAz.html" rel="bookmark" class="title">android-点击了Activity后ProgressDialog就退出</a>
					<div>
						问题描述 点击了Activity后ProgressDialog就退出 我用下面的代码显示ProgressDialog. void showProccess() { p = new ProgressDi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgR2az.html" rel="bookmark" class="title">为什么面试时候总问你在项目中遇到的难点？&lpar;转&rpar;</a>
					<div>
						问你怎么解决的.也就是要看你所认为的难题有多难.看你的经历.从事工作纵向深入的程度.比如这两个难题在键盘上找26个英文字母和组建一套服务器. 往往面试人所说的自己达到的程度,都有水分,只有你项目中遇到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baq4vmb.html" rel="bookmark" class="title">老板休假企业会不会乱套</a>
					<div>
						一旦开始了,就很难停下来,很多创业者都有这种感慨.但企业家 该不该那么累?是否可以停下来喘息一下呢? 执笔/本刊记者 白友文 &quot;创业就像拉着一辆装满货物的车往山顶上爬,你稍微放松一下,就前功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJnl9M.html" rel="bookmark" class="title">传苹果Safari浏览器默认搜索将弃用谷歌</a>
					<div>
						新浪科技讯 http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间11月26日凌晨消息,据The Information网站报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Eakgp.html" rel="bookmark" class="title">七年12名保荐代表人身陷IPO 屡被监管谈话</a>
					<div>
						受到中国证监会监管谈话的保荐代表人又增加两名. 6月25日,证监会网站公告,广发证券保荐代表人杨光.付竹在保荐星网锐捷(002396.SZ)首次公开发行股票项目时,对发行人有关专利情况没有及时进行持续 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnOkPkz.html" rel="bookmark" class="title">股票分时图</a>
					<div>
						问题描述 利用Java.怎么实现啊? 解决方案 解决方案二:qq:287693892解决方案三:连接数据库可以运行的(动态更新数据)解决方案四:2D解决方案五:JQuery+Ajax好点					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
